Bug 145058 - CAN-2005-0064 xpdf buffer overflow
Summary: CAN-2005-0064 xpdf buffer overflow
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: tetex   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: David Lawrence
URL:
Whiteboard: impact=important,embargoed=20050118
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-13 22:57 UTC by Josh Bressers
Modified: 2013-07-02 23:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-25 16:14:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-01-13 22:57:52 UTC
*** This bug has been split off bug 145049 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.13
17:30 -------

iDEFENSE has reported a stack based buffer overflow in xpdf.

The patch is here:
ftp://ftp.foolabs.com/pub/xpdf/xpdf-3.00pl3.patch


The iDEFENSE advisory is attachment 109745 [details]


I don't know if this issue will affect the RHEL2.1 tetex.

Comment 1 Josh Bressers 2005-01-13 23:05:20 UTC
Jindrich,

We're going to want to roll new packages for RHSA-2005:006

Comment 2 Josh Bressers 2005-01-14 12:15:52 UTC
The patch URL does not yet work.  We don't have a patch from upstream yet.  I'll
update the bugs as soon as I know.

Comment 3 Mark J. Cox 2005-01-19 10:26:11 UTC
Now public, see URL for patch, removing embargo

Comment 4 Jindrich Novy 2005-01-25 16:14:51 UTC
RHEL-3 version of tetex is unaffected by this issue since it lacks
implementation of Decrypt::makeFileKey2() method and
Decrypt::makeFileKey() is safe in Decrypt.cc.


Note You need to log in before you can comment on or make changes to this bug.